## Find Files

`$ llamacloud-prod beta:retrieval find`

**post** `/api/v1/retrieval/files/find`

Search for files by name.

### Parameters

- `--index-id: string`

  Body param: ID of the index to search within.

- `--organization-id: optional string`

  Query param

- `--project-id: optional string`

  Query param

- `--file-name: optional string`

  Body param: Exact file name to match.

- `--file-name-contains: optional string`

  Body param: Substring match on file name (case-insensitive).

- `--page-size: optional number`

  Body param: The maximum number of items to return. The service may return fewer than this value. If unspecified, a default page size will be used. The maximum value is typically 1000; values above this will be coerced to the maximum.

- `--page-token: optional string`

  Body param: A page token, received from a previous list call. Provide this to retrieve the subsequent page.

### Returns

- `FileFindResult: object { items, next_page_token, total_size }`

  Paginated file find results.

  - `items: array of object { file_id, file_name }`

    The list of items.

    - `file_id: string`

      ID of the file.

    - `file_name: string`

      Display name of the file.

  - `next_page_token: optional string`

    A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

  - `total_size: optional number`

    The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

### Example

```cli
llamacloud-prod beta:retrieval find \
  --api-key 'My API Key' \
  --index-id idx-abc123
```

#### Response

```json
{
  "items": [
    {
      "file_id": "file_id",
      "file_name": "file_name"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
```
